| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# DOMXPathNSResolver Class Reference

The `DOMXPathNSResolver` interface permit prefix strings in the expression to be properly bound to namespaceURI strings. More...

List of all members.

## Public Member Functions

Destructor
virtual | ~DOMXPathNSResolver ()
| Destructor.
Functions introduced in DOM Level 3
virtual const XMLCh * | lookupNamespaceURI (const XMLCh *prefix) const =0
| Look up the namespace URI associated to the given namespace prefix.
Non-standard extension
virtual const XMLCh * | lookupPrefix (const XMLCh *URI) const =0
| Non-standard extension.

## Protected Member Functions

Hidden constructors
| DOMXPathNSResolver ()

## Detailed Description

The `DOMXPathNSResolver` interface permit prefix strings in the expression to be properly bound to namespaceURI strings.

`DOMXPathEvaluator` can construct an implementation of `DOMXPathNSResolver` from a node, or the interface may be implemented by any application.

Since:
  DOM Level 3

## Constructor & Destructor Documentation

DOMXPathNSResolver::DOMXPathNSResolver | ( |  | ) | `[protected]`

virtual DOMXPathNSResolver::~DOMXPathNSResolver | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual const XMLCh* DOMXPathNSResolver::lookupNamespaceURI | ( | const XMLCh * | prefix | ) | const`[pure virtual]`

Look up the namespace URI associated to the given namespace prefix.

The XPath evaluator must never call this with a null or empty argument, because the result of doing this is undefined.

Parameters:

  | prefix | of type XMLCh - The prefix to look for.

Returns:
  the associated namespace URI or null if none is found.

virtual const XMLCh* DOMXPathNSResolver::lookupPrefix | ( | const XMLCh * | URI | ) | const`[pure virtual]`

Non-standard extension.

XPath2 implementations require a reverse lookup in the static context. Look up the prefix associated with the namespace URI The XPath evaluator must never call this with a null or empty argument, because the result of doing this is undefined.

Parameters:

  | URI | of type XMLCh - The namespace to look for.

Returns:
  the associated prefix or null if none is found.

The documentation for this class was generated from the following file:

- DOMXPathNSResolver.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.